Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.direct
Class SphereNetwork

    java.lang.Object
      rice.pastry.direct.GeometricNetworkSimulator
          rice.pastry.direct.SphereNetwork

All Implemented Interfaces:
  NetworkSimulator

public class SphereNetwork
extends GeometricNetworkSimulator

Sphere network topology and idealized node life. Emulates a network of nodes that are randomly placed on a sphere. Proximity is based on euclidean distance on the sphere.

Version:
  $Id: SphereNetwork.java 2860 2005-12-20 10:08:14Z jeffh $
Author:
  Y. Charlie Hu, Rongmei Zhang

Field Summary

Fields inherited from class rice.pastry.direct.GeometricNetworkSimulator
`logger, msgQueue, random, taskQueue`

Constructor Summary
`SphereNetwork(Environment env)` Constructor.

Method Summary
`NodeRecord` | `generateNodeRecord()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.direct.GeometricNetworkSimulator
`deliverMessage, deliverMessage, deliverMessage, deliverMessageFixedRate, destroy, getClosest, getEnvironment, getTestRecord, isAlive, proximity, registerNode, removeNode, setTestRecord, simulate, simulate, simulateFor, simulateUntil`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SphereNetwork

    public SphereNetwork(Environment env)

  Constructor.

Parameters:
  `env` - DESCRIBE THE PARAMETER

Method Detail

### generateNodeRecord

    public NodeRecord generateNodeRecord()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.